Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jde.debugger
Class LispForm

    java.lang.Object
      |
      +--jde.debugger.LispForm

public class LispForm
extends java.lang.Object

LispForm.java

A wrapper on a string, used to differentiate a normal string and a string that's actually a lisp form

Created: Fri Jul 30 11:00:29 1999

Since:
  0.1
Author:
  Amit Kumar

Field Summary
`private java.lang.String` | `str`

Constructor Summary
`LispForm()`
`LispForm(java.lang.String str)`

Method Summary
`void` | `cat(java.lang.String str)`
`java.lang.String` | `toString()` Returns a string representation of the object.

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, wait, wait, wait`

Field Detail

### str

    private java.lang.String str

Constructor Detail

### LispForm

    public LispForm()

### LispForm

    public LispForm(java.lang.String str)

Method Detail

### cat

    public void cat(java.lang.String str)

### toString

    public java.lang.String toString()

  Description copied from class: `java.lang.Object`
  Returns a string representation of the object. In general, the `toString` method returns a string that "textually represents" this object. The result should be a concise but informative representation that is easy for a person to read. It is recommended that all subclasses override this method.

  The `toString` method for class `Object` returns a string consisting of the name of the class of which the object is an instance, the at-sign character ``@`', and the unsigned hexadecimal representation of the hash code of the object. In other words, this method returns a string equal to the value of:

  >      getClass().getName() + '@' + Integer.toHexString(hashCode())

  Overrides:
    `toString` in class `java.lang.Object`
  Following copied from class: `java.lang.Object`
  Returns:
    a string representation of the object.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD